=== debian/changelog ===
ros-noetic-reach (1.5.2-1focal) focal; urgency=high

  * Updated install of python module (#63 <https://github.com/marip8/reach/issues/63>)
  * Contributors: Michael Ripperger

 -- Michael Ripperger <michael.ripperger@swri.org>  Thu, 07 Sep 2023 05:00:00 -0000

ros-noetic-reach (1.5.1-1focal) focal; urgency=high

  * fix bools in yaml in Python (#59 <https://github.com/marip8/reach/issues/59>)
  * Contributors: Marc Bestmann

 -- Michael Ripperger <michael.ripperger@swri.org>  Wed, 16 Aug 2023 05:00:00 -0000

ros-noetic-reach (1.5.0-1focal) focal; urgency=high

  * Added ability to specify heat map color range (#58 <https://github.com/marip8/reach/issues/58>)
  * Contributors: Marc Bestmann

 -- Michael Ripperger <michael.ripperger@swri.org>  Fri, 28 Jul 2023 05:00:00 -0000

ros-noetic-reach (1.4.0-1focal) focal; urgency=high

  * Exposed relevant compile definitions for plugins to the Python interface (#57 <https://github.com/marip8/reach/issues/57>)
  * Contributors: Michael Ripperger

 -- Michael Ripperger <michael.ripperger@swri.org>  Thu, 13 Jul 2023 05:00:00 -0000

ros-noetic-reach (1.3.2-1focal) focal; urgency=high

  * Updated badges in README; added table of supported distros (#56 <https://github.com/marip8/reach/issues/56>)
  * Removed -dev libraries before running unit tests in CI (#55 <https://github.com/marip8/reach/issues/55>)
  * Updated CI configuration to be ROS-independent (#54 <https://github.com/marip8/reach/issues/54>)
  * Update to later version of RICB that adds hook for PYTHONPATH (#51 <https://github.com/marip8/reach/issues/51>)
  * Added colcon hook for setting the PYTHONPATH environment variable (#50 <https://github.com/marip8/reach/issues/50>)
  * Minor Updates (#48 <https://github.com/marip8/reach/issues/48>)
    * Added virtual destructors
    * Compile Python bindings with c++14
    * Change comparison operator for clang-tidy
  * Contributors: Michael Ripperger

 -- Michael Ripperger <michael.ripperger@swri.org>  Thu, 13 Jul 2023 05:00:00 -0000

ros-noetic-reach (1.3.1-1focal) focal; urgency=high

  * fix parallelization error of omp parallel (#47 <https://github.com/marip8/reach/issues/47>)
  * Contributors: Marc Bestmann

 -- Michael Ripperger <michael.ripperger@swri.org>  Wed, 14 Jun 2023 05:00:00 -0000

ros-noetic-reach (1.3.0-1focal) focal; urgency=high

  * Initial IK seed (#46 <https://github.com/marip8/reach/issues/46>)
    * add option to specify initial IK seed
    * refactor based on PR comments
    * improve reading of seed parameter from yaml
  * Contributors: Marc Bestmann

 -- Michael Ripperger <michael.ripperger@swri.org>  Tue, 13 Jun 2023 05:00:00 -0000

ros-noetic-reach (1.2.0-1focal) focal; urgency=high

  * Exposed plugin implementations for linking by downstream projects (#45 <https://github.com/marip8/reach/issues/45>)
  * Contributors: Michael Ripperger

 -- Michael Ripperger <michael.ripperger@swri.org>  Thu, 11 May 2023 05:00:00 -0000

ros-noetic-reach (1.1.0-1focal) focal; urgency=high

  * Move ROS1 components (#44 <https://github.com/marip8/reach/issues/44>)
    * Removed reach_ros directory
    * Flattened reach package
    * Updated CI config file
    * Added demo GIF and README
    * Fixed table of contents; added references to ROS repos; removed section on ROS-specific usage and demos
    * Changes to support ROS2
    * Updated dependencies
    * Remove reach_ros from plugins target compile definitions
    * Added colcon package file
  * Contributors: Michael Ripperger

 -- Michael Ripperger <michael.ripperger@swri.org>  Wed, 10 May 2023 05:00:00 -0000

ros-noetic-reach (1.0.0-1focal) focal; urgency=high

  * Added Python interface (#38 <https://github.com/ros-industrial/reach/issues/38>)
  * Updated to later version of plugin loader (#39 <https://github.com/ros-industrial/reach/issues/39>)
  * Refactored repository into ROS-independent core package and ROS-based plugin implementation package (#37 <https://github.com/ros-industrial/reach/issues/37>)
  * Contributors: Michael Ripperger, Collin Thornton

 -- Michael Ripperger <michael.ripperger@swri.org>  Tue, 06 Dec 2022 06:00:00 -0000

ros-noetic-reach (0.2.2-1focal) focal; urgency=high

  * Create nested results directories if they do not exist (#34 <https://github.com/marip8/reach/issues/34>)
  * Contributors: Michael Ripperger

 -- Michael Ripperger <michael.ripperger@swri.org>  Wed, 24 Aug 2022 05:00:00 -0000

ros-noetic-reach (0.2.1-1focal) focal; urgency=high



 -- Michael Ripperger <michael.ripperger@swri.org>  Fri, 22 Jul 2022 05:00:00 -0000

ros-noetic-reach (0.2.0-1focal) focal; urgency=high

  * Various Updates (#29 <https://github.com/marip8/reach/issues/29>)
    * Change FLANN search tree to PCL kd-tree; update nearest neighbors search; parallelize with hardware concurrency
    * Update to use non-deprecated IK solve function
    * Use Eigen vectorized array product rather than for loop
    * Support manipulability calculation for subset of dimensions
    * Added plugin for evaluating manipulability ratio
    * Simplified and vectorized joint penalty evaluator
    * Updated README
    * Updated unit test
  * Incorporated heat map coloring to rviz markers (#30 <https://github.com/marip8/reach/issues/30>)
    * Incorporated heat map coloring to rviz markers
    * Fixed formatting on heat map rviz marker code
    * Minor updates
    Co-authored-by: David Spielman <mailto:david.spielman@swri.org>
    Co-authored-by: Michael Ripperger <mailto:michael.ripperger@swri.org>
  * Contributors: David Spielman, Michael Ripperger

 -- Michael Ripperger <michael.ripperger@swri.org>  Fri, 22 Jul 2022 05:00:00 -0000

ros-noetic-reach (0.1.1-1focal) focal; urgency=high



 -- Michael Ripperger <michael.ripperger@swri.org>  Thu, 07 Jul 2022 05:00:00 -0000

ros-noetic-reach (0.1.0-1focal) focal; urgency=high

  * Reverted reach_core version before releasing packages

