=== debian/control ===
Source: ros-noetic-reach
Section: misc
Priority: optional
Maintainer: Michael Ripperger <michael.ripperger@swri.org>
Build-Depends: debhelper (>= 9.0.0), cmake, libboost-all-dev, libeigen3-dev, libgtest-dev <!nocheck>, libomp-dev, libpcl-dev, libyaml-cpp-dev, ros-noetic-boost-plugin-loader, ros-noetic-ros-industrial-cmake-boilerplate
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-reach
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libeigen3-dev, libomp-dev, libpcl-dev, libyaml-cpp-dev, ros-noetic-boost-plugin-loader, ros-noetic-ros-industrial-cmake-boilerplate
Description: The reach package
